Package org.jboss.modules

# Class JDKModuleFinder

java.lang.Object
org.jboss.modules.JDKModuleFinder

All Implemented Interfaces:
  `IterableModuleFinder`, `ModuleFinder`

public final class JDKModuleFinder extends Object implements IterableModuleFinder

## Method Summary

Modifier and Type
Method
Description
`ModuleSpec`
`findModule(String name, ModuleLoader delegateLoader)`
Find a module specification for the given name.
`static JDKModuleFinder`
`getInstance()`
`Iterator<String>`
`iterateModules(String baseName, boolean recursive, ModuleLoader delegate)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.jboss.modules.IterableModuleFinder

`iterateModules, iterateModules`

### Methods inherited from interface org.jboss.modules.ModuleFinder

`findModule`

## Method Details

### getInstance

public static JDKModuleFinder getInstance()

### findModule

public ModuleSpec findModule(String name, ModuleLoader delegateLoader)
Description copied from interface: `ModuleFinder`
Find a module specification for the given name. The default implementation delegates to the legacy `ModuleFinder.findModule(ModuleIdentifier, ModuleLoader)` method for now, however this behavior will be discontinued in the future.

Specified by:
  `findModule` in interface `ModuleFinder`
Parameters:
  `name` - the module name
  `delegateLoader` - the module loader from which dependencies should be resolved
Returns:
  the module specification, or `null` if no specification is found for this identifier

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### iterateModules

public Iterator<String> iterateModules(String baseName, boolean recursive, ModuleLoader delegate)

Specified by:
  `iterateModules` in interface `IterableModuleFinder`